<template>
  <AppButton
    :theme="buttonThemes.prime"
    :icon="buttonIcons.plus"
    @click="createTask()"
  >
    Новое задание
  </AppButton>
  <TasksTable :fields="fields" :items="items" />
</template>

<script>
// @ is an alias to /src
import TasksTable from "@/components/TaskTable.vue";
import AppButton, {
  themes as buttonThemes,
  icons as buttonIcons,
} from "@/components/UI/AppButton.vue";

export default {
  name: "TasksView",
  components: {
    TasksTable,
    AppButton,
  },
  data() {
    return {
      buttonIcons,
      buttonThemes,
    };
  },
  methods: {
    createTask() {
      this.$store.commit("changeEditMode", false);
      this.$router.push("/task/create");
    },
  },
  mounted() {
    this.$store.commit("reset");
  },
};
</script>
